Microsoft a libéré le Net Framework 4.7 dans WSUS le 13 Juin. Il est disponible pour Windows 7 SP1, Windows 8.1, Windows 10 1607, Windows server 2008 R2 SP1, Windows Server 2012, Windows Server 2012 R2 et Windows Server 2016.

.NET Framework 4.7 est une mise à jour compatible avec toutes les versions 4.X précédentes du .NET Framework, y compris .NET 4, 4.5, 4.5.1, 4.5.2, 4.6, 4.6.1 et 4.6. 2. Les applications créées et exécutées sur les versions précédentes de .NET Framework s’exécutent automatiquement avec .NET 4.7 sans recompilation. .NET 4.7 peut être installé sur une nouvelle machine ou peut être utilisé pour mettre à niveau votre installation .NET 4.X précédente.

Le .NET Framework 4.7 s’installe à côté des versions plus anciennes comme .NET 3.5 SP1. Les applications compilées contre .NET 3.5 SP1 continueront à fonctionner sur .NET 3.5 SP1 et ne s’exécuteront pas automatiquement avec .NET 4.7.

Vous pouvez en savoir plus sur .NET Framework 4.7 ici:

En cas de besoin, vous pouvez bloquer temporairement l’installation de .NET 4.7 via le KB4024204